Description

0 log [ERR] : repair 3.7 6cf8deff/obj1/64//3 found clone without head

0 log [ERR] : 3.7 repair 1 errors, 0 fixed

0 log [ERR] : repair 3.0 36d8cd00/obj19/snapdir//3 missing clones

0 log [ERR] : repair 3.0 3f1ee208/obj2/head//3 missing clones

0 log [ERR] : 3.0 repair 2 errors, 0 fixed

History

#1 - 05/22/2013 09:33 AM - Sage Weil

- Priority changed from Normal to High

#2 - 05/22/2013 04:44 PM - David Zafman

If I only deleted the head or clone data from one of the OSDs of a 3 replica pool, repair did work.  So this is a VERY unlikely scenario except when

using 1 replica.  In that case the data is gone, but repair should make the OSD consistent.

#3 - 07/19/2013 02:18 PM - Samuel Just

- Tracker changed from Bug to Feature
